<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <parent>
    <groupId>de.ugoe.cs.quest</groupId>
    <artifactId>quest</artifactId>
    <version>0.0.1-SNAPSHOT</version>
  </parent>
  <modelVersion>4.0.0</modelVersion>
  <artifactId>quest-ui-swt</artifactId>
  <name>quest-ui-swt</name>
    <scm>
		<url>${quest-scm-trunk-dir}/quest-ui-swt</url>
	</scm>
	<repositories>
		<repository>
			<id>swt-repo</id>
			<url>https://swt-repo.googlecode.com/svn/repo</url>
		</repository>
	</repositories>
	<dependencies>
		<dependency>
			<groupId>de.ugoe.cs</groupId>
			<artifactId>java-utils</artifactId>
			<version>0.0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.quest</groupId>
			<artifactId>quest-core-events</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.quest</groupId>
			<artifactId>quest-core-assertions</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>de.ugoe.cs.quest</groupId>
			<artifactId>quest-core-usageprofiles</artifactId>
			<version>${project.parent.version}</version>
		</dependency>
		<dependency>
			<groupId>${swt.groupId}</groupId>
			<artifactId>${swt.artifactId}</artifactId>
			<version>3.8</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse</groupId>
			<artifactId>ui-forms</artifactId>
			<version>3.5</version>
		</dependency>
	</dependencies>

	<profiles>
		<profile>
			<id>Windows x86</id>
			<activation>
				<os>
					<family>windows</family>
					<arch>x86</arch>
				</os>
			</activation>
			<properties>
				<swt.groupId>org.eclipse.swt</swt.groupId>
				<swt.artifactId>org.eclipse.swt.win32.win32.x86</swt.artifactId>
			</properties>
		</profile>
		<profile>
			<id>Windows amd64</id>
			<activation>
				<os>
					<family>windows</family>
					<arch>amd64</arch>
				</os>
			</activation>
			<properties>
				<swt.groupId>org.eclipse.swt</swt.groupId>
				<swt.artifactId>org.eclipse.swt.win32.win32.x86_64</swt.artifactId>
			</properties>
		</profile>
		<profile>
			<id>Linux x86</id>
			<activation>
				<os>
					<family>linux</family>
					<arch>x86</arch>
				</os>
			</activation>
			<properties>
				<swt.groupId>org.eclipse.swt</swt.groupId>
				<swt.artifactId>org.eclipse.swt.gtk.linux.x86</swt.artifactId>
			</properties>
		</profile>
		<profile>
			<id>Linux i386</id>
			<activation>
				<os>
					<family>linux</family>
					<arch>i386</arch>
				</os>
			</activation>
			<properties>
				<swt.groupId>org.eclipse.swt</swt.groupId>
				<swt.artifactId>org.eclipse.swt.gtk.linux.x86</swt.artifactId>
			</properties>
		</profile>
		<profile>
			<id>Linux x86_64</id>
			<activation>
				<os>
					<family>linux</family>
					<arch>x86_64</arch>
				</os>
			</activation>
			<properties>
				<swt.groupId>org.eclipse.swt</swt.groupId>
				<swt.artifactId>org.eclipse.swt.gtk.linux.x86_64</swt.artifactId>
			</properties>
		</profile>
		<profile>
			<id>Linux amd64</id>
			<activation>
				<os>
					<family>linux</family>
					<arch>amd64</arch>
				</os>
			</activation>
			<properties>
				<swt.groupId>org.eclipse.swt</swt.groupId>
				<swt.artifactId>org.eclipse.swt.gtk.linux.x86_64</swt.artifactId>
			</properties>
		</profile>
		<profile>
			<id>Linux ppc64</id>
			<activation>
				<os>
					<family>linux</family>
					<arch>ppc64</arch>
				</os>
			</activation>
			<properties>
				<swt.groupId>org.eclipse.swt</swt.groupId>
				<swt.artifactId>org.eclipse.swt.gtk.linux.ppc64</swt.artifactId>
			</properties>
		</profile>
	</profiles>
</project>